Retrieve All Attachmentsget https://{hostname}/api/talk/upload/v1/filesThis operation returns all attachments uploaded to the system. The response may be paginated using index and count. Authorization and Permissions An OpenAm token is required to retrieve attachments. The user must have content retrieval permission, which is granted by a Talk administrator. Query ParamscountnumberThe count of a paginated response, which specifies the number of attachments to return per page. If not specified, a default of 100 attachments is returned. The count cannot exceed 100.indexnumberThe index of a paginated response, which specifies the page number of the response. If not specified, a default of 0 is used.HeadersAuthorizationstringrequiredAn OpenAm token for the user.x-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully retrieved attachments. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 9 months ago